Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.operation
Class RequestGeometry

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.operation.RequestGeometry

Direct Known Subclasses:
  ConeRequest, LineRequest

    public abstract class RequestGeometry

extends Object

This abstract class represents a geometry needed for Get3DFeatureInfoRequest. It contains the 3d geometry and its 2d projektion. The 2d geometry is required for WFS request, the 3d geometry for the final test of intersection.

Version:
  $Revision: $, 1.0. $Revision: $, $Date: $
Author:
  Lyn Buesching, last edited by: $Author: $

Field Summary
`protected javax.media.j3d.PickShape` | `pickshape` 3d geometry: needed for final testing
`protected Get3DFeatureInfo` | `request` The the feature info request
`protected Geometry` | `wfsReqGeom` geometry for wfs query

Constructor Summary
`RequestGeometry(Get3DFeatureInfo request)` Constructor to initialize the attributes needed for all geometries

Method Summary
`protected javax.vecmath.Point3d` | `calcEndPoint(ViewPoint viewPoint, double depth, int width, int height, int clickI, int clickJ)` Calculates a ray through the ViewPoint and the ClickPoint.
`javax.vecmath.Point3d` | `getBeginPointLine()`
`CoordinateSystem` | `getCrs()`
`javax.media.j3d.PickShape` | `getPickshape()`
`Get3DFeatureInfo` | `getRequest()`
`Geometry` | `getWfsReqGeom()`
`abstract void` | `setPickshape()` Sets the geometry needed for final test of intersection
`abstract void` | `setWfsReqGeom()` sets the geometry needed for WFS request

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected Get3DFeatureInfo request

  The the feature info request

### wfsReqGeom

    protected Geometry wfsReqGeom

  geometry for wfs query

### pickshape

    protected javax.media.j3d.PickShape pickshape

  3d geometry: needed for final testing

Constructor Detail

### RequestGeometry

    public RequestGeometry(Get3DFeatureInfo request)

  Constructor to initialize the attributes needed for all geometries

  Parameters:
    `request` - the Get3DFeatureInfoRequest

Method Detail

### getPickshape

    public javax.media.j3d.PickShape getPickshape()

  Returns:
    the pickshape or `null` if it was not set.

### getWfsReqGeom

    public Geometry getWfsReqGeom()

  Returns:
    the geometry repsonse from the wfs-request or `null` if it was not set.

### getBeginPointLine

    public javax.vecmath.Point3d getBeginPointLine()

  Returns:
    the starting point of the line.

### getCrs

    public CoordinateSystem getCrs()

  Returns:
    the crs of the request.

### getRequest

    public Get3DFeatureInfo getRequest()

  Returns:
    the request.

### setWfsReqGeom

    public abstract void setWfsReqGeom()
                                throws GeometryException

  sets the geometry needed for WFS request

  Throws:
    `GeometryException` - if something went wrong.

### setPickshape

    public abstract void setPickshape()

  Sets the geometry needed for final test of intersection

### calcEndPoint

    protected javax.vecmath.Point3d calcEndPoint(ViewPoint viewPoint,
                                                 double depth,
                                                 int width,
                                                 int height,
                                                 int clickI,
                                                 int clickJ)

  Calculates a ray through the ViewPoint and the ClickPoint.

  Parameters:
    `viewPoint` - position of the request
    `depth` - far clipping plane
    `width` - of the request
    `height` - of the request
    `clickI` - x-axis
    `clickJ` - y-axis
  Returns:
    The end point of the requestGeometry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org